%global momorel 4
%global __libtoolize :

Summary: GNOME library for CUPS integration
Name: libgnomecups
Version: 0.2.3
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.2/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: openssl-devel >= 0.9.8a
BuildPrereq: cups-devel

%description
GNOME library for CUPS integration

%package devel
Summary: Libraries and header files for libgnomecups
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and header files for libgnomecups

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libgnomecups-1
%{_datadir}/locale/*/*/*

%changelog
* Mon May 18 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.3-4m)
- define libtoolize

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.3-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.3-2m)
- rebuild against gcc43

* Sat Mar  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.2-4m)
- update to 0.2.3

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.2-4m)
- rebuild against gtk+-2.10.3
- delete libtool library

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.2-3m)
- rebuild against openssl-0.9.8a

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.2-2m)
- delete autoreconf and make check

* Thu Nov 17 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.2-1m)
- version up
- for GNOME 2.12.1 Desktop (libgnomeprint)

* Sun Dec  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.1.13-1m)
- initial import to Momonga
